% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/getAltRepres.R
\name{getAltRepres}
\alias{getAltRepres}
\title{Get Alternative Representants}
\usage{
getAltRepres(rnalist, technique = NULL, resol = NULL, type = NULL,
  length = 3, progressbar = TRUE, verbose = FALSE)
}
\arguments{
\item{rnalist}{The output of getLeontisList.}

\item{technique}{One or more techniques of interest (For correct use, see
example below). For the list of techniques, see "veriNA3d:::.allowedtechs".}

\item{resol}{A positive real number to specify a desired resolution.}

\item{type}{A string indicating the type of desired RNA, according with
the {classifyRNA} function.}

\item{length}{To be passed to {classifyRNA}.}

\item{progressbar}{A logical to print in screen a progress bar.}

\item{verbose}{A logical to print details of the process.}
}
\value{
A data.frame with info about all the "Equivalence Classes" and
the selected Representants according with the specified conditions.
}
\description{
This function is closely related with getLeontisList(). From its
output, the family members of each equivalence class are checked for
desired features. The first member that matches all the desired features
is returned.
}
\examples{
    rnalist <- getLeontisList(release=3.2, threshold="1.5A")
    alternative <- getAltRepres(rnalist=rnalist, 
                                type="nakedRNA")

}
\author{
Diego Gallego
}
